Bug 113103 - CAN-2003-0984 minor /dev/rtc leak
Summary: CAN-2003-0984 minor /dev/rtc leak
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ernie Petrides
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks: 107562
TreeView+ depends on / blocked
 
Reported: 2004-01-08 15:34 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-12 01:08:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:188 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 2 2004-05-11 04:00:00 UTC

Description Mark J. Cox 2004-01-08 15:34:07 UTC
CAN-2003-0984: /dev/rtc leak

An uninitialised buffer leaks a few bytes to user space.  Made public
by SuSE Dec04 although was not fixed upstream (at least as far as
2.4.22).  This issue is fixed in our other distributions.

The security implications are minor however at least one publication
(ZDNet) decided to call this a critical security vulnerability,
raising its profile out of all proportion.

Comment 1 Mark J. Cox 2004-01-08 15:50:35 UTC
actually fixed in 2.4.23, see

http://linux.bkbits.net:8080/linux-2.4/cset@trini@mvista.com|ChangeSet|20040104192859|11383


Comment 2 Ernie Petrides 2004-02-19 06:58:55 UTC
The RHEL 3 fix for this problem was committed to the U2 patch
pool tonight and will be available internally in kernel version
2.4.21-9.10.EL.


Comment 3 John Flanagan 2004-05-12 01:08:16 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html



Note You need to log in before you can comment on or make changes to this bug.